#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

namespace CellTemplate
{
    using System.Windows;
    using System.Windows.Controls;

    public partial class MainWindow : Window
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainWindow"/> class.
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
            pivotGrid1.Loaded += (s,e) =>
            {
                pivotGrid1.GroupingBar.LayoutUpdated += (sender, args) =>
                {
                    if(pivotGrid1.GroupingBar.RowHeaderArea != null && pivotGrid1.GroupingBar.ColumnHeaderArea != null)
                    {
                        pivotGrid1.GroupingBar.RowHeaderArea.ItemTemplate = pivotGrid1.GroupingBar.ColumnHeaderArea.ItemTemplate = grid1.FindResource("ExamplePivotItemTemplate") as DataTemplate;
                        for(int i = 0; i < pivotGrid1.PivotRows.Count; i++)
                        {
                            ListBoxItem item = pivotGrid1.GroupingBar.RowHeaderArea.ItemContainerGenerator.ContainerFromIndex(i) as ListBoxItem;
                            item.Width = pivotGrid1.InternalGrid.ColumnWidths[i];
                        }
                    }
                };
            };
        }
    }
}